<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('meta_mint_a_p_i_s', function (Blueprint $table) {
            $table->id();
            $table->string('api_key',100)->nullable();
            $table->string('api_salt',255)->nullable();
            $table->string('api_target_url',255)->nullable();
            $table->boolean('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('meta_mint_a_p_i_s');
    }
};
